libsyncml 0.5.4

- Main Page
- Modules
- Data Structures
- Files

Typedefs | Enumerations | Functions
High Level Standard Functions
High Level API

The public part. More...

Collaboration diagram for High Level Standard Functions:

## Typedefs

typedef enum SmlDataSyncEventType | SmlDataSyncEventType
| These are all possible events which the high level API sends.
typedef struct SmlDataSyncObject | SmlDataSyncObject

## Enumerations

enum | SmlDataSyncEventType { SML_DATA_SYNC_EVENT_ERROR = 0, SML_DATA_SYNC_EVENT_CONNECT = 1, SML_DATA_SYNC_EVENT_GOT_ALL_ALERTS = 2, SML_DATA_SYNC_EVENT_GOT_ALL_CHANGES = 3, SML_DATA_SYNC_EVENT_GOT_ALL_MAPPINGS = 4, SML_DATA_SYNC_EVENT_DISCONNECT = 5, SML_DATA_SYNC_EVENT_FINISHED = 6 }
| These are all possible events which the high level API sends.

## Functions

SmlDataSyncObject * | smlDataSyncNew (SmlSessionType dsType, SmlTransportType tspType, SmlError **error)
void | smlDataSyncObjectRef (SmlDataSyncObject *dsObject)
SmlBool | smlDataSyncSetOption (SmlDataSyncObject *dsObject, const char *name, const char *value, SmlError **error)
SmlBool | smlDataSyncAddDatastore (SmlDataSyncObject *dsObject, const char *contentType, const char *target, const char *source, SmlError **error)
SmlBool | smlDataSyncInit (SmlDataSyncObject *dsObject, SmlError **error)
SmlBool | smlDataSyncRun (SmlDataSyncObject *dsObject, SmlError **error)
SmlBool | smlDataSyncAddChange (SmlDataSyncObject *dsObject, const char *source, SmlChangeType type, const char *name, const char *data, unsigned int size, void *userdata, SmlError **error)
SmlBool | smlDataSyncSendChanges (SmlDataSyncObject *dsObject, SmlError **error)
SmlBool | smlDataSyncAddMapping (SmlDataSyncObject *dsObject, const char *source, const char *remoteID, const char *localID, SmlError **error)
SmlBool | smlDataSyncAbort (SmlDataSyncObject *dsObject, SmlError **error)
const SmlLocation * | smlDataSyncGetTarget (SmlDataSyncObject *dsObject, SmlError **error)
void | smlDataSyncObjectUnref (SmlDataSyncObject **dsObject)

## Detailed Description

The public part.

## Function Documentation

SmlBool smlDataSyncAbort | ( | SmlDataSyncObject * | dsObject,
|  | SmlError ** | error
| ) |  |

Aborts the data synchronization in every state of the API. The only possible function call after this function is smlDataSyncObjectUnref. If you called this function then you can still wait for SML_DATA_SYNC_EVENT_ERROR or SML_DATA_SYNC_EVENT_FINISHED before you start to cleanup with smlDataSyncObjectUnref.

Parameters:

  dsObject | The data sync object
  error | The error condition

Returns:
  TRUE on success. False on failure.

This code is put into a separate source code file because potentially all internal tricks and hacks are used to abort the OMA DS session most carefully ... at minimum in the future ...

Definition at line 41 of file data_sync_abort.c.

Here is the call graph for this function:

const SmlLocation* smlDataSyncGetTarget | ( | SmlDataSyncObject * | dsObject,
|  | SmlError ** | error
| ) |  |

Returns the identity of the remote sync peer. This is the <Source></Source> tag. The returned reference is not owned by the caller and must NOT be freed or unrefed by the caller.

Parameters:

  dsObject | The data sync object
  error | The error condition

Returns:
  The identity of the remote peer

Definition at line 832 of file data_sync.c.

Here is the call graph for this function: